Subject: bug#27764: 26.0.50; Argument STARTUP-HOOKS for `ediff-files' undocumented

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Sep 2017 21:59:48 +0300

> From: Philipp Stephani <[email-masked]>
> Date: Sat, 23 Sep 2017 18:46:57 +0000
> 
> Here's a patch that adds some missing documentation to ediff.el. 

Thanks.

>  ;;;###autoload
>  (defun ediff-buffers (buffer-A buffer-B &optional startup-hooks job-name)
> -  "Run Ediff on a pair of buffers, BUFFER-A and BUFFER-B."
> +  "Run Ediff on a pair of buffers, BUFFER-A and BUFFER-B.
> +STARTUP-HOOKS is a list of functions that Emacs calls without
> +arguments after setting up the Ediff buffers.  JOB-NAME is a
> +symbol describing the Ediff job type; it defaults to
> +`ediff-buffers'."

Here and elsewhere where JOB-NAME is mentioned, it would be good to
have a full list of supported symbols, not just the default one.

Otherwise, the patch looks good to me.  Thanks for taking good care of
this.